Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225632 - Merge Review: byacc
Summary: Merge Review: byacc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:48 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-12 15:38:04 UTC
matthias: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:48:38 UTC
Fedora Merge Review: byacc

http://cvs.fedora.redhat.com/viewcvs/devel/byacc/
Initial Owner: pmachata@redhat.com

Comment 1 Petr Machata 2007-02-02 14:51:21 UTC
Commited and built for rawhide updated and tidied-up version.  Rpmlint silent
for both binary and source rpm.

Comment 2 Rafał Psota 2007-02-25 21:26:36 UTC
Needs work:
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* Spec file: some paths are not replaced with RPM macros (/usr/bin → %{_bindir})
* Source tag should use macros
* Some files (CHANGES, README, etc.) should be in %doc

Comment 3 Petr Machata 2007-03-01 18:21:15 UTC
Cleaned up and commited.

Comment 4 Matthias Saou 2007-08-31 15:21:48 UTC
Good work at keeping the package clean! I've started the formal review. I see no
blockers, only possible improvements. Find here an updated spec file and a patch
to the current development one :
http://thias.fedorapeople.org/merge-review/byacc/

- Update to the 20070509 release.
- Update URL and summary.
- Remove useless doc copying in install section.
- Add NOTES and NO_WARRANTY docs.

Comment 5 Matthias Saou 2007-09-12 11:17:54 UTC
Ping? It would be nice to get this package cleaned up for Fedora 8.
Maybe the version update could be skipped because of the feature freeze, though.

Comment 6 Petr Machata 2007-09-12 15:10:28 UTC
I removed the update part, but other than that, I applied the patch unmodified.
 Thanks.  I rebuilt the package:
http://koji.fedoraproject.org/koji/taskinfo?taskID=156588

I will push new version post F8.

Comment 7 Matthias Saou 2007-09-12 15:38:04 UTC
Great, thanks! I've double checked everything, and it all looks good. Review
finished ;-)


Note You need to log in before you can comment on or make changes to this bug.